Package org.eclipse.zest.core.widgets

# Interface FisheyeListener

public interface FisheyeListener
Interface for listener that can be added to `Graph` and receive notifications when fisheye figures are added, removed or replaced in it.

Since:
  1.14

## Method Summary

Modifier and Type
Method
Description
`void`
`fisheyeAdded(Graph graph, IFigure originalFigure, IFigure fisheyeFigure)`
Called when a fisheye figure is added to an observed graph.
`void`
`fisheyeRemoved(Graph graph, IFigure originalFigure, IFigure fisheyeFigure)`
Called when a fisheye figure is removed form an observed graph.
`void`
`fisheyeReplaced(Graph graph, IFigure oldFisheyeFigure, IFigure newFisheyeFigure)`
Called when one fisheye figure is replaced by another in an observed graph.

## Method Details

### fisheyeAdded

void fisheyeAdded(Graph graph, IFigure originalFigure, IFigure fisheyeFigure)
Called when a fisheye figure is added to an observed graph.

Parameters:
  `graph` - observed graph
  `originalFigure` - figure to be fisheyed
  `fisheyeFigure` - the added fisheye figure

### fisheyeRemoved

void fisheyeRemoved(Graph graph, IFigure originalFigure, IFigure fisheyeFigure)
Called when a fisheye figure is removed form an observed graph.

Parameters:
  `graph` - observed graph
  `originalFigure` - figure that was fisheyed
  `fisheyeFigure` - the removed fisheye figure

### fisheyeReplaced

void fisheyeReplaced(Graph graph, IFigure oldFisheyeFigure, IFigure newFisheyeFigure)
Called when one fisheye figure is replaced by another in an observed graph.

Parameters:
  `graph` - observed graph
  `oldFisheyeFigure` - fisheye figure that is replaced
  `newFisheyeFigure` - fisheye figure that replaces the old figure